Bug 1317017 - (CVE-2016-2187) CVE-2016-2187 kernel: Kernel panic on invalid USB device descriptor (gtco driver)
CVE-2016-2187 kernel: Kernel panic on invalid USB device descriptor (gtco dri...
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20160321,reported=2...
: Security
Depends On: 1283385 1317010
Blocks: 1317020
  Show dependency treegraph
 
Reported: 2016-03-11 12:23 EST by Adam Mariš
Modified: 2016-05-26 21:57 EDT (History)
25 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-21 04:58:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gtco-null-deref.patch (1.63 KB, patch)
2016-03-23 10:30 EDT, Vladis Dronov
no flags Details | Diff

  None (edit)
Description Adam Mariš 2016-03-11 12:23:43 EST
A flaw was found in in the Linux kernel's USB device management code which could cause a crash when a device which required gtco module.  The kernel would panic causing null pointer dereference attempting to access invalid USB device descriptors.

Product bug:

https://bugzilla.redhat.com/show_bug.cgi?id=1283385

Intended to be public via:

http://seclists.org/bugtraq/2016/Mar/86

Public via:

https://bugzilla.redhat.com/show_bug.cgi?id=1283385

Proposed upstream patch (linux-usb@ and linux-input@ lists):

http://www.spinics.net/lists/linux-usb/msg137950.html
http://www.spinics.net/lists/linux-input/msg43786.html

Upstream patch:

https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=162f98dea487206d9ab79fc12ed64700667a894d
Comment 1 Adam Mariš 2016-03-11 12:23:57 EST
Acknowledgments:

Name: Ralf Spenneberg (OpenSource Security)
Comment 2 Vladis Dronov 2016-03-21 04:58:31 EDT
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5 as the code with the flaw is not present in the products listed.

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 6, 7 and MRG-2. This has been rated as having Low security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.
Comment 3 Vladis Dronov 2016-03-23 10:30 EDT
Created attachment 1139603 [details]
gtco-null-deref.patch
Comment 4 Fedora Update System 2016-04-01 20:44:15 EDT
kernel-4.5.0-302.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2016-04-02 11:52:05 EDT
kernel-4.5.0-302.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2016-04-08 11:51:45 EDT
kernel-4.4.6-301.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2016-04-08 16:19:41 EDT
kernel-4.4.6-201.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.